# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define	name	monitor-edid
%define	version	3.0
%define	release	%mkrel 3

Summary:	EDID retrieval and parsing tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Patch0:		fix_monitorprobeusingx_for_xserver.patch
License:	GPLv3+
Group:		System/Configuration/Other
Url:		http://wiki.mandriva.com/en/Tools/monitor-edid
%ifarch %ix86 x86_64
BuildRequires:	libx86-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExcludeArch:	%{sunsparc} %arm %mips

%description
This package provides tools for EDID retrieval, EDID parsing and
other methods of monitor probing.

%prep
%setup -q
%patch0 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{_sbindir}/*


%changelog
* Thu Nov 01 2012 Neal <nealbrks0 at gmail dot com> 3.0-3pclos2012
- process

* Wed Oct 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.0-3pclos2012
- refix patch now something is launched we don't want to have so remove the line

* Fri Sep 21 2012 Neal <nealbrks0 at gmail dot com> 3.0-2pclos2012
- process

* Thu Sep 20 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.0-2pclos2012
- added patch0 to fix automatic resolution detection
- added xz compression

* Sat Aug 06 2011 Texstar <texstar at gmail.com> 3.0-1pclos2011
- rebuild
